#include <bits/stdc++.h>

typedef unsigned long long __uint64;

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    cout << -1;

    return 0;
}